<?php

include "../OSM_OpeningHours.php";

$osmhours = new OSM_OpeningHours();
$date = new OSM_OpeningHours_Date(2012, 0, 27, 11, 2, 2); // Fr, 27 Jan. 2012 11:02:02

/* */
$tests = array(
	array('ct'=>'09:00'),
	array('ct'=>'Mo-Fr 07:15, 10:30, 15:30, 16:30, 17:15, 18:30; Sa 12:30; Su 09:30'),
);

foreach($tests as $test) {
	$result = $osmhours->evaluateNextTime($test['ct'], $date);
	if($result->errors) {
		echo "Test for '".$test['ct']."' failed\n";
		foreach($result->errors as $error) {
			echo $error."\n";
		}
	} else {
		echo "Test for '".$test['ct']."' succeded\n";
		foreach($result->times as $time) {
			$tmp = $time['t'];
			echo date('c', $tmp->getTime()/1000)." ".$time['c']."\n";
		}
	}
}

